<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8">
    <link rel="stylesheet" href="preferences.css">
    <title>Preferences</title>
  </head>
  <body>
    <div id="warning" hidden></div>
    <form id="preferences-form">
      <label>
        <div>Server URL <small>(.../jsonrpc)</small></div>
        <input type="url" name="rpc_url">
      </label>
      <label>
        <div>Username <small>(optional)</small></div>
        <input type="text" name="username">
      </label>
      <label>
        <div>Password <small>(optional)</small></div>
        <input type="password" name="password">
      </label>
      <button type="submit">Save</button>
    </form>
    <label>
      <div>Upload data</div>
      <input type="file" id="datafile" accept="application/json">
    </label>
    <label>
      <div>Download data</div>
      <button id="download">mymovies.json</button>
    </label>
    <script src="preferences.js"></script>
  </body>
</html>
